OpenSubdiv: CPUMTLVertexBuffer Class Reference

| OpenSubdiv

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
CPUMTLVertexBuffer Class Reference

`#include <mtlVertexBuffer.h>`

## Public Member Functions
void | UpdateData (const float *src, int startVertex, int numVertices, MTLContext *context)
int | GetNumElements () const
int | GetNumVertices () const
float * | BindCpuBuffer ()
id< MTLBuffer > | BindMTLBuffer (MTLContext *context)
id< MTLBuffer > | BindVBO (MTLContext *context)

## Static Public Member Functions
static CPUMTLVertexBuffer * | Create (int numElements, int numVertices, MTLContext *context)

## Protected Member Functions
| CPUMTLVertexBuffer (int numElements, int numVertices)
bool | allocate (MTLContext *context)

## Detailed Description

Definition at line 39 of file mtlVertexBuffer.h.

## Constructor & Destructor Documentation

## ◆ CPUMTLVertexBuffer()

CPUMTLVertexBuffer | ( | int | numElements,
|  | int | numVertices
| ) |  |
| protected

## Member Function Documentation

## ◆ allocate()

bool allocate | ( | MTLContext * | context | ) |
| protected

## ◆ BindCpuBuffer()

float * BindCpuBuffer | ( |  | ) |

## ◆ BindMTLBuffer()

id< MTLBuffer > BindMTLBuffer | ( | MTLContext * | context | ) |

## ◆ BindVBO()

id< MTLBuffer > BindVBO | ( | MTLContext * | context | ) |
| inline

Definition at line 58 of file mtlVertexBuffer.h.

## ◆ Create()

static CPUMTLVertexBuffer * Create | ( | int | numElements,
|  | int | numVertices,
|  | MTLContext * | context
| ) |  |
| static

## ◆ GetNumElements()

int GetNumElements | ( |  | ) | const
| inline

Definition at line 45 of file mtlVertexBuffer.h.

## ◆ GetNumVertices()

int GetNumVertices | ( |  | ) | const
| inline

Definition at line 50 of file mtlVertexBuffer.h.

## ◆ UpdateData()

void UpdateData | ( | const float * | src,
|  | int | startVertex,
|  | int | numVertices,
|  | MTLContext * | context
| ) |  |

The documentation for this class was generated from the following file:

- opensubdiv/osd/mtlVertexBuffer.h